X2Go Bug report logs - #720
Unrecognized arguments when using --broker-krblogin

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Matthew Richardson <m.richardson@ed.ac.uk>

Date: Tue, 6 Jan 2015 18:30:01 UTC

Severity: important

Tags: pending

Fixed in version 4.0.3.2

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#720; Package x2goclient. (Tue, 06 Jan 2015 18:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Matthew Richardson <m.richardson@ed.ac.uk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message had a Version: pseudo-header with an invalid package version:

4.0.2.1 (Qt - 4.8.6)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 06 Jan 2015 18:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Matthew Richardson <m.richardson@ed.ac.uk>
To: submit@bugs.x2go.org
Subject: Unrecognized arguments when using --broker-krblogin
Date: Tue, 06 Jan 2015 17:49:51 +0000
Package: x2goclient
Version: 4.0.2.1 (Qt - 4.8.6)

I am running x2goclient using the following cmd-line options:

x2goclient --debug --broker-krblogin
--broker-url=ssh://broker.example.com:22/usr/bin/x2gobroker

This returns a suitable session from the broker, but then fails to
connect, giving an error about invalid arguments:

x2go-DEBUG-../onmainwindow.cpp:2199> Reading 1 session from config file.
x2go-DEBUG-../onmainwindow.cpp:2803> Starting session via smartcard,
ssh-agent or kerberos token.
x2go-DEBUG-../httpbrokerclient.cpp:282> called selectUserSessions
x2go-DEBUG-../httpbrokerclient.cpp:467> "usage: x2gobroker.orig [-h] [-M
BROKER_MODE] [-C CONFIG_FILE] [-d] [-i]
                       [-b BIND_ADDRESS] [-D] [-P PIDFILE] [-L LOGDIR]
                       [--task BROKER_TASK] [--user USER_NAME]
                       [--auth-cookie AUTH_ID] [--profile-id PROFILE_ID]
                       [--backend BROKER_BACKEND]
x2gobroker.orig: error: unrecognized arguments: echo
X2GODATAEND:4fc77554-09cf-446a-bd44-1c2abaf8238d
"

If I run the client without the '--broker-krblogin' option, and
authenticate to the broker using password or ssh key, this error never
appears and the connection to the server (from the downloaded session)
succeeds.

I tried replacing the x2gobroker with a wrapper that calls it via
strace, and I see the following in the strace output:

execve("/usr/bin/x2gobroker.orig", ["/usr/bin/x2gobroker.orig",
"--user", "mrichar1", "--authid",
"f4d2e31c-8438-4cd3-8248-4b35f86e07ff", "--task", "selectsession",
"--sid", "pool-icewm;", "echo",
"X2GODATAEND:9c607aa1-a3c3-4c29-a7dc-36847ec8ceb0"], [/* 24 vars */])

I notice that the semi-colon separating the sid value and the subsequent
command appears inside the sid value quotes, which seems wrong - indeed
running this as a test gives:

x2gobroker --debug --sid "test;" true

x2gobroker.orig: error: unrecognized arguments: true

Can this quoting be sorted out to allow the use of the --broker-krblogin
option?

Thanks,

Matthew



-- 
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#720; Package x2goclient. (Thu, 08 Jan 2015 15:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 15:15:01 GMT) (full text, mbox, link).


Message #10 received at 720@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Matthew Richardson <m.richardson@ed.ac.uk>, 720@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#720: Unrecognized arguments when using --broker-krblogin
Date: Thu, 08 Jan 2015 15:12:38 +0000
[Message part 1 (text/plain, inline)]
Hi Matthew,

On  Di 06 Jan 2015 18:49:51 CET, Matthew Richardson wrote:

> I am running x2goclient using the following cmd-line options:
>
> x2goclient --debug --broker-krblogin
> --broker-url=ssh://broker.example.com:22/usr/bin/x2gobroker
>
> This returns a suitable session from the broker, but then fails to
> connect, giving an error about invalid arguments:
>
> x2go-DEBUG-../onmainwindow.cpp:2199> Reading 1 session from config file.
> x2go-DEBUG-../onmainwindow.cpp:2803> Starting session via smartcard,
> ssh-agent or kerberos token.
> x2go-DEBUG-../httpbrokerclient.cpp:282> called selectUserSessions
> x2go-DEBUG-../httpbrokerclient.cpp:467> "usage: x2gobroker.orig [-h] [-M
> BROKER_MODE] [-C CONFIG_FILE] [-d] [-i]
>                        [-b BIND_ADDRESS] [-D] [-P PIDFILE] [-L LOGDIR]
>                        [--task BROKER_TASK] [--user USER_NAME]
>                        [--auth-cookie AUTH_ID] [--profile-id PROFILE_ID]
>                        [--backend BROKER_BACKEND]
> x2gobroker.orig: error: unrecognized arguments: echo
> X2GODATAEND:4fc77554-09cf-446a-bd44-1c2abaf8238d
> "
>
> If I run the client without the '--broker-krblogin' option, and
> authenticate to the broker using password or ssh key, this error never
> appears and the connection to the server (from the downloaded session)
> succeeds.
>
> I tried replacing the x2gobroker with a wrapper that calls it via
> strace, and I see the following in the strace output:
>
> execve("/usr/bin/x2gobroker.orig", ["/usr/bin/x2gobroker.orig",
> "--user", "mrichar1", "--authid",
> "f4d2e31c-8438-4cd3-8248-4b35f86e07ff", "--task", "selectsession",
> "--sid", "pool-icewm;", "echo",
> "X2GODATAEND:9c607aa1-a3c3-4c29-a7dc-36847ec8ceb0"], [/* 24 vars */])
>
> I notice that the semi-colon separating the sid value and the subsequent
> command appears inside the sid value quotes, which seems wrong - indeed
> running this as a test gives:
>
> x2gobroker --debug --sid "test;" true
>
> x2gobroker.orig: error: unrecognized arguments: true
>
> Can this quoting be sorted out to allow the use of the --broker-krblogin
> option?


This one's a nasty issue. I will take a look.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#720; Package x2goclient. (Thu, 08 Jan 2015 15:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 15:35:01 GMT) (full text, mbox, link).


Message #15 received at 720@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 720@bugs.x2go.org, Matthew Richardson <m.richardson@ed.ac.uk>
Subject: Re: [X2Go-Dev] Bug#720: Bug#720: Unrecognized arguments when using --broker-krblogin
Date: Thu, 08 Jan 2015 15:32:20 +0000
[Message part 1 (text/plain, inline)]
Control: severity -1 important


On  Do 08 Jan 2015 16:12:38 CET, Mike Gabriel wrote:

>> Can this quoting be sorted out to allow the use of the --broker-krblogin
>> option?
>
>
> This one's a nasty issue. I will take a look.
>

Raising severity...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'important' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 720-submit@bugs.x2go.org. (Thu, 08 Jan 2015 15:35:02 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 09 Jan 2015 19:50:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.3.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 09 Jan 2015 19:50:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#720; Package x2goclient. (Fri, 09 Jan 2015 19:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 19:55:02 GMT) (full text, mbox, link).


Message #26 received at 720@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 720-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 720@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 9 Jan 2015 20:49:58 +0100 (CET)
tag #720 pending
fixed #720 4.0.3.2
thanks

Hello,

X2Go issue #720 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=ccb864b

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit ccb864b0bf57785d4405f9bc4947ffb9897a4351
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jan 9 20:49:25 2015 +0100

    SSH with GSSAPI: Don't assume the broker-side user has /bin/sh (or compatible) set as default shell. (Fixes: #720).

diff --git a/debian/changelog b/debian/changelog
index 3e67cf4..8820888 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -26,6 +26,8 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
     - Fix string concatenation/layout of error message when tunnel I/O errors
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
+    - SSH with GSSAPI: Don't assume the broker-side user has /bin/sh (or
+      compatible) set as default shell. (Fixes: #720).
 
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):


Message sent on to Matthew Richardson <m.richardson@ed.ac.uk>:
Bug#720. (Fri, 09 Jan 2015 19:55:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#720; Package x2goclient. (Fri, 09 Jan 2015 20:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 20:35:02 GMT) (full text, mbox, link).


Message #34 received at 720@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 720-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 720@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 9 Jan 2015 21:34:19 +0100 (CET)
tag #720 pending
fixed #720 4.0.3.2
thanks

Hello,

X2Go issue #720 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=023a1b9

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 023a1b9d598eee40d00fd04ce0e89e8ec4cf0e4d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jan 9 21:31:23 2015 +0100

    Revert "last commit is not fix for #720"
    
    This reverts commit 379401496951e72c6dfcafc1e3144360f5e6f8a7.

diff --git a/debian/changelog b/debian/changelog
index 459e12f..8820888 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -27,7 +27,7 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
     - SSH with GSSAPI: Don't assume the broker-side user has /bin/sh (or
-      compatible) set as default shell.
+      compatible) set as default shell. (Fixes: #720).
 
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#720; Package x2goclient. (Fri, 09 Jan 2015 20:35:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 20:35:03 GMT) (full text, mbox, link).


Message #39 received at 720@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 720-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 720@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 9 Jan 2015 21:34:20 +0100 (CET)
tag #720 pending
fixed #720 4.0.3.2
thanks

Hello,

X2Go issue #720 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=89105aa

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 89105aa63ae77a40327fa680bc71e852957911c5
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jan 9 21:34:13 2015 +0100

    Fix quotes when calling remote commands via SSH. Use single backslash to quote quotation marks. (Fixes: #720).

diff --git a/debian/changelog b/debian/changelog
index 3e67cf4..f16eca7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -26,6 +26,8 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
     - Fix string concatenation/layout of error message when tunnel I/O errors
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
+    - Fix quotes when calling remote commands via SSH. Use single backslash
+      to quote quotation marks. (Fixes: #720).
 
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):


Message sent on to Matthew Richardson <m.richardson@ed.ac.uk>:
Bug#720. (Fri, 09 Jan 2015 20:35:06 GMT) (full text, mbox, link).


Message sent on to Matthew Richardson <m.richardson@ed.ac.uk>:
Bug#720. (Fri, 09 Jan 2015 20:35:07 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#720; Package x2goclient. (Fri, 09 Jan 2015 20:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 20:45:02 GMT) (full text, mbox, link).


Message #50 received at 720@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 720-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 720@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 9 Jan 2015 21:41:52 +0100 (CET)
tag #720 pending
fixed #720 4.0.3.2
thanks

Hello,

X2Go issue #720 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=a86676d

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a86676d05d21c91700500dea0f84a08b006cbfa7
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jan 9 21:41:46 2015 +0100

    Fix quotes when calling remote commands via SSH (esp. allow same quoting/ escaping style for libssh and openSSH+Krb based connections). (Fixes: #720).

diff --git a/debian/changelog b/debian/changelog
index 3e67cf4..21e06c5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -26,6 +26,8 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
     - Fix string concatenation/layout of error message when tunnel I/O errors
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
+    - Fix quotes when calling remote commands via SSH (esp. allow same quoting/
+      escaping style for libssh and openSSH+Krb based connections). (Fixes: #720).
 
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):


Message sent on to Matthew Richardson <m.richardson@ed.ac.uk>:
Bug#720. (Fri, 09 Jan 2015 20:45:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#720; Package x2goclient. (Thu, 19 Feb 2015 12:00:10 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 19 Feb 2015 12:00:10 GMT) (full text, mbox, link).


Message #58 received at 720@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 720-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 720@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 19 Feb 2015 12:58:00 +0100 (CET)
close #720
thanks

Hello,

we are very hopeful that X2Go issue #720 reported by you
has been resolved in the new release (4.0.3.2) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3b7ca68412005521d45d9751a370549ab1c80e58;hp=5290218751cc68a1fc1711ebd169e195eb3daeed

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.2-0x2go1
Status: RELEASE
Date: Thu, 19 Feb 2015 12:49:22 +0100
Fixes: 616 642 681 702 705 713 720 742 781 782
Changes: 
 x2goclient (4.0.3.2-0x2go1) RELEASED; urgency=medium
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.2):
     - Fix placement of session folders in session card column. (Fixes: #681).
     - Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).
     - Fix multiple creations of modmap timer (OS_DARWIN).
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.2):
     - Add several info/error/debug log message while hunting down #702.
     - Use app.setQuitOnLastWindowClosed(false) for the X2Go Client QtApplication
       to assure that X2Go Client does not arbitrarily exit during a running
       session. This fixes X2Go Client crashes that occur when printing via
       the CUPS-X2Go printing mechanism with activate print dialog popup on
       incoming print jobs and minimized main window. (Fixes: #702).
     - Be more exact when reporting rev forwarding tunnel request failures to
       the GUI user. Include the purpose of the tunnel (NX, audio, foldersharing)
       in the error message.
     - Enable debugging in sshprocess.cpp and sshmasterconnection.cpp if
       --debug is given.
     - sshmasterconnection.cpp: Fix several grammar issues in error messages.
     - When sharing a client-side folder, do not write the SSH pub key to
       client-side authorized_keys file if the folder-to-be-shared does not
       exist on the client. (Partially solves #405).
     - Fix string concatenation/layout of error message when tunnel I/O errors
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
     - Fix quotes when calling remote commands via SSH (esp. allow same quoting/
       escaping style for libssh and openSSH+Krb based connections). (Fixes: #720).
     - FIXME: Disable PubkeyAuthentication _and_ PasswordAuthentication if
       GSSAPI authentication is activated. This is counter intuitive, though,
       and requires several other fixes in the authentication code.
   * x2goclient.spec:
     - Always set BuildRoot: parameter.
 .
   [ Sergey Savko ]
   * New upstream release (4.0.3.2):
     - Prevent passwordless re-logins into X2Go Session Broker if
       --broker-autologoff is used on the cmdline. (Fixes: #782).
     - Add new cmdline option --broker-noauth-use-session-username.
       When --broker-noauth is used, the broker does not know on behalf
       of which user to operate. This new option enables username syncing.
       When logging into X2Go Server, that username will be sent to the
       broker and be used for querying X2Go Broker Agents etc. (Fixes: #781).
 .
   [ Heinrich Schuchardt ]
   * New upstream release (4.0.3.2):
     - Base the layout dialogue "Session ID" (which shows up when starting a
       connection) on typographic points (instead of pixels). (Fixes: #713).
 .
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):
     - Use QUrl::toPercentEncoding() method to properly encode passwords sent
       to X2Go Session Broker. (Fixes: #705).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.3.2):
     - Windows: Win32 OpenSSL updates from 1.0.1j to 1.0.1L, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Cygwin OpenSSL updated from 1.0.1j-1 to 1.0.1k-1, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Bundle new version of VcXsrv: 1.15.2.2-xp+vc2013+x2go1.
       The differences from 1.15.2.1-xp+vc2013+x2go1 are that its bundled
       OpenSSL has been updated to 1.0.1k, and that xorg-server
       CVE-2014-8091..8103 have been fixed.
     - Windows: Update libssh from 0.6.3 to 0.6.4 (while maintaining
       Pageant support). This fixes CVE-2014-8132, which shouldn't
       affect x2goclient because x2goclient uses the SSH client
       functionality, not the SSH server functionality.
       0.6.4 also added 4 features related to ECDSA keys.
     - Windows: Fix compatibility with PulseAudio 6.0
     - Windows: Remove workaround for audio input with old versions of
       PulseAudio (calling parec once per second)
       (Fixes: #742)
       Thanks George Trakatelis (uom.edu.gr) for submitting this change.
     - Windows: Enable X2Go Client for Windows to build under VS2010 nmake
       (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in limitation)
       Note that the official builds are still build under MinGW.
       (Fixes: #642)
       Thanks George Trakatelis (uom.edu.gr) for submitting this feature.
     - Windows: Make builds easier, and updating bundled dependencies
       easier, by adding copy-deps-win32.bat. It copies the exact
       version of each dependency (DLL, executable, data, folder, etc)
       from x2goclient-contrib.git.
 .
   [ Kaan Ozdincer ]
   * New upstream version (4.0.3.2):
     - Add Turkish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 19 Feb 2015 12:00:27 GMT) (full text, mbox, link).


Notification sent to Matthew Richardson <m.richardson@ed.ac.uk>:
Bug acknowledged by developer. (Thu, 19 Feb 2015 12:00:27 GMT) (full text, mbox, link).


Message sent on to Matthew Richardson <m.richardson@ed.ac.uk>:
Bug#720. (Thu, 19 Feb 2015 12:00:34 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 20 Mar 2015 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 14 05:08:58 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.